'use strict';
/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const prefix = '/api/servicezhwl';
  const index = 'client';
  const { router, controller } = app;
  // 客户/供应商
  router.resources('client', `${prefix}/client`, controller[index].client); // index、create、show、destroy
  router.post('client', `${prefix}/client/update/:id`, controller[index].client.update);
  // 合同
  router.resources('treaty', `${prefix}/treaty`, controller[index].treaty); // index、create、show、destroy
  router.post('treaty', `${prefix}/treaty/update/:id`, controller[index].treaty.update);
  // 项目
  router.resources('item', `${prefix}/item`, controller[index].item); // index、create、show、destroy
  router.post('item', `${prefix}/item/update/:id`, controller[index].item.update);

};
