'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { ZhwlcarError, ErrorCode } = require('naf-core').Error;

class ZhwlcarService extends CrudService {
  constructor(ctx) {
    super(ctx, 'zhwlcar');
    this.model = this.ctx.model.Zhwlcar;
  }
}

module.exports = ZhwlcarService;
