'use strict';

const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { ZhwldriverError, ErrorCode } = require('naf-core').Error;

class ItemService extends CrudService {
  constructor(ctx) {
    super(ctx, 'item');
    this.model = this.ctx.model.Item;
  }
}

module.exports = ItemService;
